package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CLocalVariableDecl extends CStmt{

    private CModifiers CModifiers;

    private List<CLocalVariable> CLocalVariable;

    private CType CType;

    public CLocalVariableDecl()
    {
        CModifiers = null;
        CLocalVariable = new ArrayList<CLocalVariable>();
        CType = null;
    }

    public List<CLocalVariable> getCLocalVariable() {
        return CLocalVariable;
    }

    public void setCLocalVariable(List<CLocalVariable> CLocalVariable) {
        this.CLocalVariable = CLocalVariable;
    }

    public CModifiers getCModifiers() {
        return CModifiers;
    }

    public void setCModifiers(CModifiers CModifiers) {
        this.CModifiers = CModifiers;
    }

    public CType getCType() {
        return CType;
    }

    public void setCType(CType CType) {
        this.CType = CType;
    }
   

    public void addCLocalVariable(CLocalVariable locale)
    {
        CLocalVariable.add(locale);
    }

}
